Method: projects.locations.authorizedViewSets.authorizedViews.conversations.assessments.notes.patch

注釈を更新します。

HTTP リクエスト

PATCH https://{endpoint}/v1alpha1/{note.name=projects/*/locations/*/authorizedViewSets/*/authorizedViews/*/conversations/*/assessments/*/notes/*}

ここで、{endpoint} はサポートされているサービス エンドポイントのいずれかです。

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
note.name

string

ID。メモのリソース名。形式: projects/{project}/locations/{location}/conversations/{conversation}/assessments/{assessment}/notes/{note}

クエリ パラメータ

パラメータ
updateMask

string (FieldMask format)

省略可。更新するフィールドのリスト。updateMask が空の場合、更新可能なすべてのフィールドが更新されます。使用できるフィールドは * content です。

完全修飾フィールド名のカンマ区切りリスト。例: "user.displayName,photo"。

リクエストの本文

リクエストの本文には Note のインスタンスが含まれます。

レスポンスの本文

成功した場合、レスポンスの本文には Note のインスタンスが含まれます。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、Authentication Overview をご覧ください。

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • contactcenterinsights.notes.update

詳細については、IAM のドキュメントをご覧ください。